GWT 2.7.0

## com.google.gwt.i18n.rebind.format
Class PropertiesFormat

    java.lang.Object
      com.google.gwt.i18n.rebind.format.PropertiesFormat

All Implemented Interfaces:
  MessageCatalogFormat

    public class PropertiesFormat

extends java.lang.Object
implements MessageCatalogFormat

Writes GWT-style Java properties files for translation. This catalog format does not support aggregation of messages from multiple interfaces since there is no way to distinguish messages from another interface from those that were from this interface but no longer used. The output file is assumed to be in UTF-8 encoding rather than using the `\\uXXXX` escapes.

Constructor Summary
`PropertiesFormat()`

Method Summary
`java.lang.String` | `getExtension()` Returns the extension to use for this file type, including the dot.
`void` | `write(TreeLogger logger, java.lang.String locale, com.google.gwt.i18n.rebind.AbstractResource.ResourceList resourceList, java.io.PrintWriter out, JClassType messageInterface)` Write a message catalog file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesFormat

    public PropertiesFormat()

Method Detail

### getExtension

    public java.lang.String getExtension()

  Description copied from interface: `MessageCatalogFormat`
  Returns the extension to use for this file type, including the dot.

  Specified by:
    `getExtension` in interface `MessageCatalogFormat`

### write

    public void write(TreeLogger logger,
                      java.lang.String locale,
                      com.google.gwt.i18n.rebind.AbstractResource.ResourceList resourceList,
                      java.io.PrintWriter out,
                      JClassType messageInterface)

  Description copied from interface: `MessageCatalogFormat`
  Write a message catalog file.

  Specified by:
    `write` in interface `MessageCatalogFormat`
  Parameters:
    `logger` - TreeLogger for logging errors/etc
    `locale` - locale of this output file
    `resourceList` - the contents to write
    `out` - the PrintWriter to generate output on
    `messageInterface` - the interface to create (so additional annotations may be accessed)

GWT 2.7.0